This happens when you need to support two different OS versions and two different deployment platforms.